## qfits 6.2.0

=== debian/changelog ===
qfits (6.2.0-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes).
  * Correctly pass CPPFLAGS and LDFLAGS to build with hardening support.
  * Compress .deb with xz.
  * Fix bugs reported by the Mayhem team:
    - Add 04-hierarch28-table-parsing.diff to fix parsing issues with non
      alphanumeric characters in a conversion table.
    - Add 05-frameq-nofile.diff to fix processing issues when no input files
      are found.
    - Add 06-dfits-args.diff to fix argument parsing.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Jun 2013 00:37:59 +0200

qfits (6.2.0-5) unstable; urgency=low

  * Add 03-fortify.diff to fix format string vulnerability (closes:
    #643460). 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Sep 2011 19:24:20 +0200

qfits (6.2.0-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes)
   * Convert to multiarch:
   - Bump debhelper build-dep to >= 8.1.3 for multiarch.
   - Add Pre-Depends: ${misc:Pre-Depends} to libqfits0 and set it
   Multi-Arch: same.
   - Install the library in the multiarch path.
  * Add build-arch and build-indep targets. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Jun 2011 21:22:58 +0200

qfits (6.2.0-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.1.
  * Fix call to memset (closes: bug#609375).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 16:12:17 +0100

qfits (6.2.0-2) unstable; urgency=low

  * Add quilt support to manage patches.
  * Add 01-open-o_creat.diff to pass a mode to open() used with O_CREAT
    (closes: bug#560591).
  * Don't ignore error on make clean.
  * Move the homepage to its own pseudo-header field.
  * Bump Standards-Version to 3.8.3.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 16 Dec 2009 18:02:57 +0100

qfits (6.2.0-1) unstable; urgency=low

  * Initial Release (closes: bug#413605).

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  6 Mar 2007 07:40:23 +0100
