=== debian/control ===
Source: qfits
Section: libs
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 8.1.3), autotools-dev, chrpath
Standards-Version: 3.9.4
Homepage: http://www.eso.org/projects/aot/qfits/

Package: libqfits0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library offering easy access to FITS files
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy.
 .
 qfits is a stand-alone library written in C to interact with files 
 complying with the FITS format. It is fast and portable over any 
 kind of POSIX-compliant platform. Functionalities offered by this 
 library are:
  * Header queries (get keywords, values).
  * Header manipulation (load/modify/save).
  * Header/data offset queries.
  * Pixel loading/saving to memory.
  * Support for files of any dimension (NAXIS).
  * Support for FITS extensions, including ASCII and binary tables.

Package: libqfits-dev
Section: libdevel
Architecture: any
Depends: libqfits0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libqfits
 This package contains the header files and static library needed to
 compile applications that use qfits.

Package: qfits-tools
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FITS manipulation tools
 qfits is a stand-alone library written in C to interact with files 
 complying with the FITS format, which is a data format most used in
 astronomy.
 .
 This package includes tools for simple manipulations of FITS files.
